#
# spec file for package xfce4-panel (Version 4.4.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash binutils bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-libs cvs dbus-1 dbus-1-devel desktop-translations diffutils file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc42 gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel grep groff gtk2 gtk2-devel gzip hicolor-icon-theme info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libdrm libexpat-devel libexpat1 libgcc42 libgomp42 libjpeg libltdl-3 libmudflap42 libopenssl0_9_8 libpng libpng-devel libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtiff3 libtool libuuid1 libvolume_id libxcrypt libxfce4mcs libxfce4mcs-devel libxfce4util libxfce4util-devel libxfcegui4 libxfcegui4-devel libxml2 libxml2-devel libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules pango pango-devel patch pcre pcre-devel perl perl-base permissions pkg-config popt rpm sed startup-notification startup-notification-devel sysvinit tar texinfo timezone update-desktop-files util-linux xfce-mcs-manager xfce-mcs-manager-devel xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           xfce4-panel
BuildRequires:  dbus-1-devel gtk2-devel libxml2-devel startup-notification update-desktop-files
BuildRequires:  startup-notification-devel
BuildRequires:  xfce-mcs-manager-devel >= 4.3
Summary:        Next generation panel for Xfce
Version:        4.4.1
Release:        61.2
License:        GPL v2 or later
Url:            http://www.xfce.org/
Source:         %{name}-%{version}.tar.bz2
Source1:        rpmlintrc
Patch0:         %{name}-%{version}-panel_remove.patch
Patch1:         %{name}-%{version}-overflow_349155.patch
Group:          System/GUI/XFCE
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       xfce4-panel-plugins
Obsoletes:      xfce4-panel-plugins < 4.4.0

%description
xfce4-panel is the panel for the XFce desktop environment.



Authors:
--------
    Olivier Fourdan <fourdan@xfce.org>
    Jasper Huijsmans <huysmans@users.sourceforge.net>
    Edscott Wilson Garcia <edscott@imp.mx>
    Biju Chacko <botsie@myrealbox.com>
    Jens Luedicke <jens@irs-net.com>
    Martin Loschwitz <madkiss@users.sourceforge.net>
    Xavier Maillard <zedek@fxgsproject.org>
    Michael Mosier <michael@spyonit.com>
    Erik Touve <etouve@earthlink.net>
    Benedikt Meurer <benedikt.meurer@unix-ag.uni-siegen.de>
    Bernhard Walle <Bernhard.Walle@gmx.de>

%debug_package
%package        devel
Summary:        Next generation panel for Xfce
Group:          System/GUI/XFCE
Requires:       %{name} = %{version}
Requires:       libxfcegui4-devel >= 4.3
Requires:       libxfce4util-devel >= 4.3
Requires:       libxml2-devel

%description devel
xfce4-panel-devel package contains alllibraries needed to develop
applications that require these.



Authors:
--------
    Olivier Fourdan <fourdan@xfce.org>
    Jasper Huijsmans <huysmans@users.sourceforge.net>
    Edscott Wilson Garcia <edscott@imp.mx>
    Biju Chacko <botsie@myrealbox.com>
    Jens Luedicke <jens@irs-net.com>
    Martin Loschwitz <madkiss@users.sourceforge.net>
    Xavier Maillard <zedek@fxgsproject.org>
    Michael Mosier <michael@spyonit.com>
    Erik Touve <etouve@earthlink.net>
    Benedikt Meurer <benedikt.meurer@unix-ag.uni-siegen.de>
    Bernhard Walle <Bernhard.Walle@gmx.de>

%prep
%setup -q
%patch0
%patch1

%build
%configure
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
%suse_update_desktop_file -i xfce4-panel-manager Settings DesktopSettings
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc README README.Kiosk README.Plugins AUTHORS HACKING NEWS
%config(noreplace) %{_sysconfdir}/xdg/xfce4
%{_datadir}/xfce4/doc
%dir %{_libdir}/xfce4
%dir %{_libdir}/xfce4/panel-plugins
%dir %{_datadir}/xfce4/panel-plugins
%dir %{_libdir}/xfce4/mcs-plugins
%{_libdir}/xfce4/panel-plugins/*.so
%{_libdir}/xfce4/mcs-plugins/*.so
%{_libdir}/libxfce4panel.so.*
%{_bindir}/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/applications/xfce4-panel-manager.desktop
%{_datadir}/xfce4/panel-plugins/*.desktop
%dir %{_datadir}/icons/hicolor/16x16
%dir %{_datadir}/icons/hicolor/16x16/apps

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*
%{_includedir}/xfce4/*
%{_libdir}/*.*a
%{_libdir}/*.so
%{_libdir}/xfce4/panel-plugins/*.*a
%{_libdir}/xfce4/mcs-plugins/*.*a
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%dir %{_datadir}/gtk-doc/html/libxfce4panel
%{_datadir}/gtk-doc/html/*/*

%changelog
* Tue Jan 08 2008 - prusnak@suse.cz
- fix overflows (overflow_349155.patch) [#349155]
* Wed Sep 05 2007 - prusnak@suse.cz
- fix crash when removing panel [#302058] (panel_remove.patch)
* Tue Aug 28 2007 - prusnak@suse.cz
- fixed Obsoletes (added < 4.4.0)
* Wed Aug 15 2007 - prusnak@suse.cz
- Provides and Obsoletes xfce4-panel-plugins [#298863]
* Tue Aug 14 2007 - prusnak@suse.cz
- fixed last commit (moved .so plugins back to base package)
* Mon Aug 06 2007 - pnemec@suse.cz
- move some libraries and gtk-doc into -devel subpackage [#248813]
* Wed Jun 20 2007 - prusnak@suse.cz
- added libxfce4util-devel to Requires of -devel subpackage
- use %%find_lang
* Tue Apr 10 2007 - bwalle@suse.de
- update to 4.4.1
  o Completely hide the right-click menu when kiosk mode is
  enabled.
  o Show the system tray border in the default layout and increase
  the top panel size to 30px, so users can actually see the
  system tray.
  o Allow freely movable panels on the screen edges.
  o Improve the icon size of the actions plugin and add an option
  to change the orientation of the buttons.
  o Unhide when dragging over the panel.
  o Check for NULL pointers in DBG messages to prevent crashes on
  Solaris, based on patch from William Bonnet.
  o Add some checks for valid tree selection.
  o Many translation updates.
* Thu Jan 25 2007 - bwalle@suse.de
- updated to 4.4.0
* Sun Nov 05 2006 - bwalle@suse.de
- updated to 4.3.99.2 (4.4 rc2)
* Tue Sep 05 2006 - pnemec@suse.cz
- updated to new version 4.3.99.1
* Sat Aug 26 2006 - bwalle@suse.de
- added startup-notification-devel as BuildRequires
* Thu Aug 24 2006 - pnemec@suse.cz
- added dbus-devel to build requires
* Wed Aug 02 2006 - pnemec@suse.cz
- initial comment, version is 4.3.90.2
- package moved into BuildService
- no patch needed
* Tue Feb 14 2006 - pnemec@suse.cz
- remove Mozilla and Mozilla mail from menu xml files
- added MozillaFirefox and MozillaThunderbird to xml files
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - pnemec@suse.cz
- update to 4.2.3
* Mon Nov 14 2005 - pnemec@suse.cz
- create devel package
* Tue Sep 20 2005 - pnemec@suse.cz
- fix gcc strict aliasing warning
* Wed Sep 14 2005 - cthiel@suse.de
- specfile cleanup
* Mon Aug 01 2005 - cthiel@suse.de
- fixed Requires
* Wed May 18 2005 - cthiel@suse.de
- update to 4.2.2
* Tue Apr 12 2005 - cthiel@suse.de
- update to 4.2.1.1
* Thu Nov 04 2004 - mmj@suse.de
- locale rename: no -> nb
* Mon May 17 2004 - ltinkl@suse.cz
- initial version
